1. Backend Edge Organizations
ROCKITPLAY API
  • ROCKIT Edge - Admin API
    • Installation / Upgrade
      • ping
      • get versions
      • submit test task
    • Admin Edge Organizations
      • Create Organization
      • Commit Export
      • Delete Organization
  • ROCKIT Edge - Backend API
    • Backend Edge Organizations
      • Create Organization
        POST
      • Delete Organization
        DELETE
    • Authentication
      • user login (org)
      • user login (user+pw)
      • Refresh
      • User logout
    • Account Management
      • get user details
      • list users
      • Modify user
      • delete users
      • Create User / Create Machine User
    • Deployments
      • Creating Deployments
      • Get Deployments
      • Get Deployment Details
      • Modify Deployment
      • Deleting Deployments
    • Apps
      • Creating Apps
      • Import native builds
      • App Details
      • List Apps
      • Patch App
      • Delete Apps
    • Triggers
      • Process Traces
      • Retry Task
    • Tasks
      • Listing Tasks
      • Task Details
      • Acknowledge Warning / Expire Task
    • Subscriptions
      • Subscribe
      • List Subscriptions
      • Unsubscribe
    • Roles
      • List Roles
      • Create Role
      • Patch Role
      • Role Details
      • Delete Roles
    • API Keys
      • Delete API Key
    • Commit
  • Changelog
    • Changelog
  • Schemas
    • Webhook Request Body
    • Import UrlSchema
  1. Backend Edge Organizations

Create Organization

POST
https://Example-Server.com/be/v1/orgs
Last modified:2026-04-22 15:09:02
This endpoint enables the creation of a new organization in the ROCKIT Backend Edge, including a default 'Administrators' role and an associated primary administrator user. Upon successful creation, the response includes the initial password for the administrator user.
Authentication is required via the Authorization header, which must contain a valid Bearer access token for the ROCKIT Backend Edge.

Generating a public/private keypair#

1.
ssh-keygen -t rsa -b 4096 -m PEM -f <customer>.rockitplay.priv.pem
2.
rm <customer>.rockitplay.priv.pem.pub (optional)
3.
openssl rsa -in <customer>.rockitplay.priv.pem -pubout -outform PEM -out <customer>.rockitplay.pub.pem

Request

Header Params

Body Params application/json

Example
{
    "name" : "{{EDGE_ORG_NAME}}",
    "label" : "{{EDGE_ORG_LABEL}}",
    "username" : "{{EDGE_ORG_ADMIN_USERNAME}}",
    "email" : "{{EDGE_ORG_ADMIN_EMAIL}}",
    "firstname" : "{{EDGE_ORG_ADMIN_FIRSTNAME}}",
    "surname" : "{{EDGE_ORG_ADMIN_SURNAME}}",
    "dxorglnk" : "{{EDGE_DXORGLNK}}",
    "orgPrivPemB64" : "{{EDGE_ORG_PRIV_PEM_B64}}",
    "orgPrivPW" : "{{EDGE_ORG_PRIV_PW}}"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://Example-Server.com/be/v1/orgs' \
--header 'Authorization: Bearer {{_edge_org_admin_access_token}}' \
--header 'Content-Type: application/json' \
--data '{
    "name" : "ExampleOrg",
    "label" : "Example Organization",
    "username" : "adminUser",
    "email" : "admin@example.org",
    "firstname" : "John",
    "surname" : "Doe",
    "dxorglnk" : "dxorglnk.ExampleOrg.jAhjafhdsaAS....",
    "orgPrivPemB64" : "HhdsjSDsdfJF...",
    "orgPrivPW" : "examplePrivateKeyPassword"
}'

Responses

🟢200200: success
application/json
Bodyapplication/json

Example
{
    "status": "success",
    "message": "organization created",
    "adminPW": ":0-)IrG:kLDvr2"
}
🟠401401: unauthorized
🟠400400: invalid-param
🟠409409: item-exists
Modified at 2026-04-22 15:09:02
Previous
ROCKIT Edge - Backend API
Next
Delete Organization
Built with